#!/usr/bin/python
# (C) 2018 Robert Bosch Power Tools GmbH
# Author:
# Vinay Kumar Shettar <vinaykumar.shettar@in.bosch.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
import dbus
import time
import getpass

bus = 0
bus = dbus.SystemBus()

dbus_obj = bus.get_object('org.freedesktop.DBus','/org/freedesktop/DBus')
dbus_iface = dbus.Interface(dbus_obj,'org.freedesktop.DBus')

if(dbus_iface.NameHasOwner("com.bosch_pt.Usbmsgd")): 
  props = bus.get_object('com.bosch_pt.Usbmsgd', '/com/bosch_pt/Usbmsgd')
  iface = dbus.Interface(props,'com.bosch_pt.Usbmsgd')
  iface.UnmountToDevice()
  time.sleep(1)
else:
  print "error:usbmsgd service not available"
